POST · mentions:write

Create saved mention view

Save a mention filter preset.

REST

POST/api/v1/mention-views
curl "https://www.stalkr.ai/api/v1/mention-views" \
  --request POST \
  --header "Authorization: Bearer $STALKR_API_KEY" \
  --header "Content-Type: application/json" \
  --header "Idempotency-Key: unique-operation-key"

MCP

Tool name: create_mention_view

The MCP tool accepts the same input schema and returns the same structured { data, meta } result as REST.

Input

projectIdrequired

string

namerequired

string

filtersrequired

object

order

integer

idempotencyKey

string

Unique key used to safely retry this write operation

Safe retries

Pass idempotencyKey to the MCP tool or Idempotency-Key to REST when retrying this write.

Authorization

Required scope: mentions:write.

Scope authorization is followed by resource authorization. Project operations check current membership and the minimum role required by the underlying workflow.

Related resources